summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuild-all-ffmpeg20
1 files changed, 20 insertions, 0 deletions
diff --git a/build-all-ffmpeg b/build-all-ffmpeg
new file mode 100755
index 000000000..a3d197c28
--- /dev/null
+++ b/build-all-ffmpeg
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+FFMPEGS=/home/carl/ffmpeg
+
+# 0.6, 0.7, 0.8 need significant work, I think.
+
+for v in 0.9.2 0.10.4 0.11.1; do
+ PKG_CONFIG_PATH=$FFMPEGS/$v/lib/pkgconfig ./waf configure
+ if [ "$?" != "0" ]; then
+ echo "$v: configure FAIL"
+ exit 1
+ fi
+ ./waf
+ if [ "$?" != "0" ]; then
+ echo "$v: build FAIL"
+ exit 1
+ fi
+ echo "$v: PASS"
+done
+